<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFrameworks>net7.0;net8.0;net9.0</TargetFrameworks>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <Version>6.0.1</Version>
    <AssemblyVersion>6.0.1</AssemblyVersion>
    <FileVersion>6.0.1</FileVersion>
    <PackageIcon>icon.png</PackageIcon>
  </PropertyGroup>

  <ItemGroup>
    <Content Remove="wwwroot\chunk-A2L6DXQH.js" />
    <Content Remove="wwwroot\chunk-ZC35XWOR.js" />
    <Content Remove="wwwroot\main-QF3MRK45.js" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="wwwroot\assets\img\.vscode\settings.json" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="DigitalData.Auth.Client" Version="1.3.7" />
    <PackageReference Include="DigitalData.Core.Abstraction.Application" Version="1.0.0" />
    <PackageReference Include="DigitalData.Core.API" Version="2.2.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.14" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="7.0.20" />
    <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="7.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.15">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="7.0.15" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="NLog" Version="5.3.2" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="5.3.11" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="ClientApp\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="..\Assets\icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Include="wwwroot\assets\img\DD_white.svg" />
    <None Include="wwwroot\assets\img\digital_data.svg" />
    <None Include="wwwroot\assets\img\digital_data_red_BG.svg" />
    <None Include="wwwroot\assets\img\group.svg" />
    <None Include="wwwroot\assets\img\Huhn_andersrum.webp" />
    <None Include="wwwroot\assets\img\login_logo.svg" />
    <None Include="wwwroot\assets\img\mode_logo.svg" />
    <None Include="wwwroot\assets\img\thema_bttn.svg" />
    <None Include="wwwroot\assets\img\user-plus-svgrepo-com.svg" />
    <None Include="wwwroot\assets\img\user.svg" />
    <None Include="wwwroot\media\bootstrap-icons-X6UQXWUS.woff2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DigitalData.UserManager.DependencyInjection\DigitalData.UserManager.DependencyInjection.csproj" />
  </ItemGroup>

</Project>
